Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PShape

Name

### setVisible()

Examples

    // The file "bot.svg" must be in the data folder
    // of the current sketch to load successfully
    PShape s;
    s = loadShape("bot.svg");
    smooth();
    shape(s, 10, 10, 80, 80);      // Right shape
    s.setVisible(false);
    if (s.isVisible() == false) {  // of if (!s.isVisible) {
      noFill();
      rect(5, 5, 90, 90);
    }

Description | Sets the shape to be visible or invisible. This is determined by the value of the visible parameter. The visibility of a shape is usually controlled by whatever program created the SVG file. For instance, this parameter is controlled by showing or hiding the shape in the layers palette in Adobe Illustrator.

Syntax

    sh.setVisible(visible)

Parameters

sh | PShape: any variable of type PShape
visible | Boolean: "false" makes the shape invisible and "true" makes it visible

Returns | none
Usage | Web & Application

Updated on November 22, 2008 08:39:26pm PST